signal.h File Reference

Signal & slot implementation. More...

`#include <functional>`
`#include <list>`
`#include <type_traits>`
`#include <vector>`
`#include <libcamera/bound_method.h>`
`#include <libcamera/object.h>`

Go to the source code of this file.

## Classes

class | libcamera::Signal< Args >
| Generic signal and slot communication mechanism. More...

## Detailed Description

Signal & slot implementation.